Skip to content
Dashboard

Get a response

GET/v1/responses/{id}

Retrieve a previously created response by its ID, including all output items.

Path ParametersExpand Collapse
id: string
ReturnsExpand Collapse
ResponsesResponse = object { id, computer_id, created_at, 9 more }
id: optional string
computer_id: optional string
created_at: optional string
max_output_tokens: optional number
model: optional string
object: optional string
output: optional array of V2GoBackendInternalServiceOutputItem { id, action, call_id, 5 more }
id: optional string
action: optional V2GoBackendInternalServiceAction { button, end_x, end_y, 10 more }
button: optional string
end_x: optional number
end_y: optional number
keys: optional array of string
result: optional string
scroll_x: optional number
scroll_y: optional number
status: optional string
text: optional string
type: optional "click" or "double_click" or "triple_click" or 14 more
One of the following:
"click"
"double_click"
"triple_click"
"right_click"
"type"
"key"
"keypress"
"key_down"
"key_up"
"scroll"
"hscroll"
"navigate"
"drag"
"wait"
"terminate"
"answer"
"done"
url: optional string
x: optional number
y: optional number
call_id: optional string
content: optional array of ContentBlock { image_url, text, type }
image_url: optional string
text: optional string
type: optional "input_text" or "output_text" or "summary_text" or "input_image"
One of the following:
"input_text"
"output_text"
"summary_text"
"input_image"
role: optional string
status: optional string
summary: optional array of ContentBlock { image_url, text, type }
image_url: optional string
text: optional string
type: optional "input_text" or "output_text" or "summary_text" or "input_image"
One of the following:
"input_text"
"output_text"
"summary_text"
"input_image"
type: optional "reasoning" or "computer_call" or "computer_call_output" or "message"
One of the following:
"reasoning"
"computer_call"
"computer_call_output"
"message"
status: optional string
temperature: optional number
top_p: optional number
usage: optional V2GoBackendInternalServiceResponsesUsage { input_tokens, output_tokens, total_tokens }
input_tokens: optional number
output_tokens: optional number
total_tokens: optional number
viewport: optional V2GoBackendInternalServiceViewport { environment, height, width }
environment: optional string
height: optional number
width: optional number

Get a response

curl https://api.tzafon.ai/v1/responses/$ID \
    -H "Authorization: Bearer $TZAFON_API_KEY"
{
  "id": "id",
  "computer_id": "computer_id",
  "created_at": "created_at",
  "max_output_tokens": 0,
  "model": "model",
  "object": "object",
  "output": [
    {
      "id": "id",
      "action": {
        "button": "button",
        "end_x": 0,
        "end_y": 0,
        "keys": [
          "string"
        ],
        "result": "result",
        "scroll_x": 0,
        "scroll_y": 0,
        "status": "status",
        "text": "text",
        "type": "click",
        "url": "url",
        "x": 0,
        "y": 0
      },
      "call_id": "call_id",
      "content": [
        {
          "image_url": "image_url",
          "text": "text",
          "type": "input_text"
        }
      ],
      "role": "role",
      "status": "status",
      "summary": [
        {
          "image_url": "image_url",
          "text": "text",
          "type": "input_text"
        }
      ],
      "type": "reasoning"
    }
  ],
  "status": "status",
  "temperature": 0,
  "top_p": 0,
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "total_tokens": 0
  },
  "viewport": {
    "environment": "environment",
    "height": 0,
    "width": 0
  }
}
Returns Examples
{
  "id": "id",
  "computer_id": "computer_id",
  "created_at": "created_at",
  "max_output_tokens": 0,
  "model": "model",
  "object": "object",
  "output": [
    {
      "id": "id",
      "action": {
        "button": "button",
        "end_x": 0,
        "end_y": 0,
        "keys": [
          "string"
        ],
        "result": "result",
        "scroll_x": 0,
        "scroll_y": 0,
        "status": "status",
        "text": "text",
        "type": "click",
        "url": "url",
        "x": 0,
        "y": 0
      },
      "call_id": "call_id",
      "content": [
        {
          "image_url": "image_url",
          "text": "text",
          "type": "input_text"
        }
      ],
      "role": "role",
      "status": "status",
      "summary": [
        {
          "image_url": "image_url",
          "text": "text",
          "type": "input_text"
        }
      ],
      "type": "reasoning"
    }
  ],
  "status": "status",
  "temperature": 0,
  "top_p": 0,
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "total_tokens": 0
  },
  "viewport": {
    "environment": "environment",
    "height": 0,
    "width": 0
  }
}